Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
Version 4.0.0 of project44's API. If you're not familiar with project44, we recommend checking out our guides first: https://developers.project44.com/guides/shippers and https://developers.project44.com/guides/carriers.
API used for registering and managing OAuth 2.0 client applications. See the "Authentication" section above for more information. To authorize API requests to project44 for an API integration, first your client application must be registered with project44, which will issue your application a client id and secret. These credentials can then be used to generate bearer tokens, which can be included on all other API requests to authorize your client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
An admin user (with Movement user role "Customer Admin") must use HTTP Basic Authentication with this API to manage client applications. Basic Authentication is deprecated for all other APIs, besides token generation, in favor of passing the access token generated via OAuth 2.0.
API for OAuth 2.0 token generation. See the "Authentication" section above for more information. Once your client application is registered, you can use the token generation endpoint to authenticate with your application's client id and secret in exchange for a bearer token to be included on all other API requests to authenticate as that client application. The client application is authorized through the project44 user management UI as a machine user with username "app-{client_id}@client-applications.project44.com".
To generate an access token, you may authenticate your client application by providing its client id and secret either in the body of the request or in the form of HTTP Basic Authentication (but you may not use both ways in the same request).
curl -i -X GET \ 'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/attributes?accountNonExpired=true&accountNonLocked=true&credentialsNonExpired=true&enabled=true&id=0&locale=string®istrationDate=2019-08-24T14%3A15%3A22Z&tenantId=0&tenantPurpose=DEFAULT&tenantUuid=e46705ba-31a8-4f12-b6d3-f41ec1d77a9a&username=string' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
[ { "attributeName": "string", "attributeValues": [ … ] } ]
curl -i -X GET \ 'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/eventhistory?includeRouteInfo=false' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
OK
All costs incurred for this shipment and the assets contained within.
Contents of the shipment, including product categories and set points for temperature sensitive shipments.
All events that occurred for this shipment. Will always be in ascending order by the date the event occurred.
All states that the shipment was or currently is in. Order is not guaranteed.
This model is populated when the data is shared across tenants, it conditionally describes which tenant(s) are involved with the shared data using tenant name and tenant UUID.
{ "costs": [ { … } ], "contents": [ { … } ], "events": [ { … } ], "exceptions": [ { … } ], "shipment": { "attributes": [ … ], "accessGroups": [ … ], "createdDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ … ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { … }, "routeInfo": { … }, "relatedShipments": [ … ], "shipmentShareLink": "string" }, "states": [ { … } ], "sharingContext": { "dataOriginators": [ … ], "recipients": [ … ] }, "sensorContext": { "availableSensorTypesWithUnits": [ … ] } }
curl -i -X GET \ 'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/positionhistory?includeRouteInfo=false' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
{ "positions": [ { … } ], "shipment": { "attributes": [ … ], "accessGroups": [ … ], "createdDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ … ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { … }, "routeInfo": { … }, "relatedShipments": [ … ], "shipmentShareLink": "string" } }
curl -i -X GET \ 'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/tracking' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
OK
An optional user-defined set of custom attributes to associate with this shipment.
This set is populated when a shipment is entitled to specific access groups, it denotes which group(s) are entitled visibility.
The date and time when this shipment was created. This value is read only and will be ignored during shipment creation.
Used to identify a shipment.
Only the following identifier types are accepted when creating or updating a shipment:
The date and time when this shipment was last modified. This value is read only and will be ignored during shipment creation or modification.
Route info model that contains the stops and route for the shipment.
List of related shipments of the parent shipment. This is optional.
{ "attributes": [ { … } ], "accessGroups": [ { … } ], "createdDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ { … } ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { "expectedTransportationModes": [ … ], "exclusions": [ … ], "vesselTracking": { … } }, "routeInfo": { "routeSegments": [ … ], "stops": [ … ] }, "relatedShipments": [ { … } ], "shipmentShareLink": "string" }
curl -i -X DELETE \ 'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/tracking' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
{ "httpStatusCode": 400, "httpMessage": "Bad Request", "errors": [ { … } ], "supportReferenceId": "92a4ff10-4bf5-448d-b1c8-9217c35a6865" }
curl -i -X GET \ 'https://na12.api.project44.com/api/v4/shipments/{shipmentId}/tracking/history' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
OK
All costs incurred for this shipment and the assets contained within.
Contents of the shipment, including product categories and set points for temperature sensitive shipments.
All events that occurred for this shipment. Will always be in ascending order by the date the event occurred.
Locations where this shipment has been recorded. Data may be down-sampled. Will always be in ascending order by the date that the shipment was at that position.
All states that the shipment was or currently is in. Order is not guaranteed.
This model is populated when the data is shared across tenants, it conditionally describes which tenant(s) are involved with the shared data using tenant name and tenant UUID.
{ "costs": [ { … } ], "contents": [ { … } ], "events": [ { … } ], "exceptions": [ { … } ], "positions": [ { … } ], "shipment": { "attributes": [ … ], "accessGroups": [ … ], "createdDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ … ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { … }, "routeInfo": { … }, "relatedShipments": [ … ], "shipmentShareLink": "string" }, "states": [ { … } ], "sharingContext": { "dataOriginators": [ … ], "recipients": [ … ] }, "sensorContext": { "availableSensorTypesWithUnits": [ … ] } }
If the shipment does not exist, this will create a new shipment.
If the shipment is already being tracked (and the corresponding id field is provided), this operation will fully replace user provided data.Note: This modifies only data that the user has provided.
In addition, if a change occurs through this endpoint that makes a shipment no longer trackable via some source (AIR, OCEAN, RAIL, etc.) then previously received data from that source will be removed.For example, if a user creates a shipment via an AIR identifier (AIR_WAYBILL) and subsequently uses this endpoint to update the same shipment, replacing the AIR identifier with an OCEAN identifier, then any AIR data is expected to be removed from the shipment, as it is no longer tracking via AIR.
An optional user-defined set of custom attributes to associate with this shipment.
This set is populated when a shipment is entitled to specific access groups, it denotes which group(s) are entitled visibility.
The date and time when this shipment was created. This value is read only and will be ignored during shipment creation.
All costs incurred for this shipment and the assets contained within.
Contents of the shipment, including product categories and set points for temperature sensitive shipments.
Used to identify a shipment.
Only the following identifier types are accepted when creating or updating a shipment:
The date and time when this shipment was last modified. This value is read only and will be ignored during shipment creation or modification.
Route info model that contains the stops and route for the shipment.
List of related shipments of the parent shipment. This is optional.
curl -i -X PUT \ https://na12.api.project44.com/api/v4/shipments/tracking \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "attributes": [ { "name": "string", "value": "string", "values": [ "string" ] } ], "accessGroups": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ], "createdDateTime": "2019-08-24T14:15:22Z", "costs": [ { "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "type": "UNKNOWN", "totalCost": { "amount": 0, "currency": "USD" }, "tier": "UNKNOWN" } ], "contents": [ { "minTemperatureThreshold": 0.1, "maxTemperatureThreshold": 0.1, "productCategory": "UNKNOWN", "temperatureSetPoint": 0.1 } ], "events": [ { "dateTime": "2019-08-24T14:15:22Z", "description": "string", "dateTimes": [ { "dateTime": "2019-08-24T14:15:22Z", "endDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lastModifiedDateTime": "2019-08-24T14:15:22Z", "source": "UNKNOWN", "sourceIdentifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "selected": true, "sequence": 0, "type": "UNKNOWN" } ], "details": { "documentDetails": { "documentType": "UNKNOWN", "fileFormat": "UNKNOWN", "scope": "UNKNOWN", "url": "string", "version": 0 }, "mobileTracking": { "code": "UNKNOWN" }, "ocean": { "code": "UNKNOWN" }, "qualityControl": { "code": "UNKNOWN" }, "rolloverDetails": {} }, "estimateDateTime": "2019-08-24T14:15:22Z", "estimateLastCalculatedDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "plannedDateTime": "2019-08-24T14:15:22Z", "plannedEndDateTime": "2019-08-24T14:15:22Z", "receivedDateTime": "2019-08-24T14:15:22Z", "routeSegmentId": "a5aad6c5-e2d6-4a7a-8912-ea0254639352", "stopId": "dd775241-8a00-4193-b07c-f3e4740fdc43", "type": "UNKNOWN" } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { "expectedTransportationModes": [ "AIR" ], "exclusions": [ {} ], "vesselTracking": { "enabled": true, "plannedVesselRouteSegments": [ { "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b", "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56", "transportationMode": "AIR", "vesselName": "string", "vesselImo": "string", "vesselMmsi": "string" } ] } }, "routeInfo": { "routeSegments": [ { "emissions": { "co2EmissionIntensity": { "unit": "KG_PER_KM", "value": 0 }, "cargoWeight": { "unit": "LB", "value": 0 }, "distance": { "unit": "FT", "value": 0 }, "loadFactor": 0.1, "totalCO2Emissions": { "unit": "LB", "value": 0 }, "vehicleInfo": { "type": "string", "weight": { "unit": "LB", "value": 0 } } }, "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56", "transportationMode": "AIR" } ], "stops": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "location": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "coordinates": { "latitude": -90, "longitude": -180 }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ { "type": "AIRPORT_IATA", "value": "string" } ], "masterLocationId": "0cd3d3f1-9c58-4e0d-aa5e-52a1f3317a89", "name": "string", "timeZone": "string" }, "type": "UNKNOWN" } ] }, "relatedShipments": [ { "attributes": [ { "name": "string", "value": "string", "values": [ "string" ] } ], "accessGroups": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ], "createdDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { "expectedTransportationModes": [ "AIR" ], "exclusions": [ {} ], "vesselTracking": { "enabled": true, "plannedVesselRouteSegments": [ { "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b", "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56", "transportationMode": "AIR", "vesselName": "string", "vesselImo": "string", "vesselMmsi": "string" } ] } }, "shipmentShareLink": "string" } ], "shipmentShareLink": "string" }'
OK
An optional user-defined set of custom attributes to associate with this shipment.
This set is populated when a shipment is entitled to specific access groups, it denotes which group(s) are entitled visibility.
The date and time when this shipment was created. This value is read only and will be ignored during shipment creation.
All costs incurred for this shipment and the assets contained within.
Contents of the shipment, including product categories and set points for temperature sensitive shipments.
Used to identify a shipment.
Only the following identifier types are accepted when creating or updating a shipment:
The date and time when this shipment was last modified. This value is read only and will be ignored during shipment creation or modification.
List of errors and/or warnings that occurred while processing the request
Route info model that contains the stops and route for the shipment.
List of related shipments of the parent shipment. This is optional.
{ "attributes": [ { … } ], "accessGroups": [ { … } ], "createdDateTime": "2019-08-24T14:15:22Z", "costs": [ { … } ], "contents": [ { … } ], "events": [ { … } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ { … } ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { "expectedTransportationModes": [ … ], "exclusions": [ … ], "vesselTracking": { … } }, "problems": [ { … } ], "routeInfo": { "routeSegments": [ … ], "stops": [ … ] }, "relatedShipments": [ { … } ], "shipmentShareLink": "string" }
If the shipment does not exist, this will create a new shipment.
If the shipment is already being tracked (and the corresponding id field is provided), this operation is add only for the provided fields.
Note: This operation only modifies data that the user has provided.
An optional user-defined set of custom attributes to associate with this shipment.
This set is populated when a shipment is entitled to specific access groups, it denotes which group(s) are entitled visibility.
The date and time when this shipment was created. This value is read only and will be ignored during shipment creation.
All costs incurred for this shipment and the assets contained within.
Contents of the shipment, including product categories and set points for temperature sensitive shipments.
Used to identify a shipment.
Only the following identifier types are accepted when creating or updating a shipment:
The date and time when this shipment was last modified. This value is read only and will be ignored during shipment creation or modification.
Route info model that contains the stops and route for the shipment.
List of related shipments of the parent shipment. This is optional.
curl -i -X POST \ https://na12.api.project44.com/api/v4/shipments/tracking \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "attributes": [ { "name": "string", "value": "string", "values": [ "string" ] } ], "accessGroups": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ], "createdDateTime": "2019-08-24T14:15:22Z", "costs": [ { "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "type": "UNKNOWN", "totalCost": { "amount": 0, "currency": "USD" }, "tier": "UNKNOWN" } ], "contents": [ { "minTemperatureThreshold": 0.1, "maxTemperatureThreshold": 0.1, "productCategory": "UNKNOWN", "temperatureSetPoint": 0.1 } ], "events": [ { "dateTime": "2019-08-24T14:15:22Z", "description": "string", "dateTimes": [ { "dateTime": "2019-08-24T14:15:22Z", "endDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lastModifiedDateTime": "2019-08-24T14:15:22Z", "source": "UNKNOWN", "sourceIdentifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "selected": true, "sequence": 0, "type": "UNKNOWN" } ], "details": { "documentDetails": { "documentType": "UNKNOWN", "fileFormat": "UNKNOWN", "scope": "UNKNOWN", "url": "string", "version": 0 }, "mobileTracking": { "code": "UNKNOWN" }, "ocean": { "code": "UNKNOWN" }, "qualityControl": { "code": "UNKNOWN" }, "rolloverDetails": {} }, "estimateDateTime": "2019-08-24T14:15:22Z", "estimateLastCalculatedDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "plannedDateTime": "2019-08-24T14:15:22Z", "plannedEndDateTime": "2019-08-24T14:15:22Z", "receivedDateTime": "2019-08-24T14:15:22Z", "routeSegmentId": "a5aad6c5-e2d6-4a7a-8912-ea0254639352", "stopId": "dd775241-8a00-4193-b07c-f3e4740fdc43", "type": "UNKNOWN" } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { "expectedTransportationModes": [ "AIR" ], "exclusions": [ {} ], "vesselTracking": { "enabled": true, "plannedVesselRouteSegments": [ { "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b", "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56", "transportationMode": "AIR", "vesselName": "string", "vesselImo": "string", "vesselMmsi": "string" } ] } }, "routeInfo": { "routeSegments": [ { "emissions": { "co2EmissionIntensity": { "unit": "KG_PER_KM", "value": 0 }, "cargoWeight": { "unit": "LB", "value": 0 }, "distance": { "unit": "FT", "value": 0 }, "loadFactor": 0.1, "totalCO2Emissions": { "unit": "LB", "value": 0 }, "vehicleInfo": { "type": "string", "weight": { "unit": "LB", "value": 0 } } }, "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56", "transportationMode": "AIR" } ], "stops": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "location": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "coordinates": { "latitude": -90, "longitude": -180 }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ { "type": "AIRPORT_IATA", "value": "string" } ], "masterLocationId": "0cd3d3f1-9c58-4e0d-aa5e-52a1f3317a89", "name": "string", "timeZone": "string" }, "type": "UNKNOWN" } ] }, "relatedShipments": [ { "attributes": [ { "name": "string", "value": "string", "values": [ "string" ] } ], "accessGroups": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ], "createdDateTime": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { "expectedTransportationModes": [ "AIR" ], "exclusions": [ {} ], "vesselTracking": { "enabled": true, "plannedVesselRouteSegments": [ { "fromStopId": "257296aa-4e11-4168-b6a7-981b8b94815b", "toStopId": "5f1765b9-dde0-424e-963b-bb3b4e1d1d56", "transportationMode": "AIR", "vesselName": "string", "vesselImo": "string", "vesselMmsi": "string" } ] } }, "shipmentShareLink": "string" } ], "shipmentShareLink": "string" }'
OK
An optional user-defined set of custom attributes to associate with this shipment.
This set is populated when a shipment is entitled to specific access groups, it denotes which group(s) are entitled visibility.
The date and time when this shipment was created. This value is read only and will be ignored during shipment creation.
All costs incurred for this shipment and the assets contained within.
Contents of the shipment, including product categories and set points for temperature sensitive shipments.
Used to identify a shipment.
Only the following identifier types are accepted when creating or updating a shipment:
The date and time when this shipment was last modified. This value is read only and will be ignored during shipment creation or modification.
List of errors and/or warnings that occurred while processing the request
Route info model that contains the stops and route for the shipment.
List of related shipments of the parent shipment. This is optional.
{ "attributes": [ { … } ], "accessGroups": [ { … } ], "createdDateTime": "2019-08-24T14:15:22Z", "costs": [ { … } ], "contents": [ { … } ], "events": [ { … } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "identifiers": [ { … } ], "lastModifiedDateTime": "2019-08-24T14:15:22Z", "plan": { "expectedTransportationModes": [ … ], "exclusions": [ … ], "vesselTracking": { … } }, "problems": [ { … } ], "routeInfo": { "routeSegments": [ … ], "stops": [ … ] }, "relatedShipments": [ { … } ], "shipmentShareLink": "string" }
Any standardized 3rd party identifier. Can be used to identify a shipment, freight, vehicle, carrier, or other freight entity.
curl -i -X POST \ https://na12.api.project44.com/services/tracking/v4/events-positions \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "events": [ { "description": "string", "dateTime": "2019-08-24T14:15:22Z", "estimatedDateTime": "2019-08-24T14:15:22Z", "location": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "coordinates": { "latitude": -90, "longitude": -180 }, "identifiers": [ { "type": "AIRPORT_IATA", "value": "string" } ], "name": "string", "timeZone": "string" }, "plannedDateTime": "2019-08-24T14:15:22Z", "plannedEndDateTime": "2019-08-24T14:15:22Z", "source": "UNKNOWN", "sourceIdentifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "type": "UNKNOWN" } ], "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "positions": [ { "dateTime": "2019-08-24T14:15:22Z", "latitude": -90, "longitude": -180 } ] }'
{ "httpStatusCode": 400, "httpMessage": "Bad Request", "errors": [ { … } ], "supportReferenceId": "06e2e296-ca73-4a64-8b9a-ec17d0bdab3d" }
curl -i -X PUT \ https://na12.api.project44.com/services/tracking/v4/route-segments \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "routeSegments": [ { "fromStop": { "location": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "coordinates": { "latitude": -90, "longitude": -180 }, "identifiers": [ { "type": "AIRPORT_IATA", "value": "string" } ], "name": "string", "timeZone": "string" }, "type": "UNKNOWN" }, "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "toStop": { "location": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "coordinates": { "latitude": -90, "longitude": -180 }, "identifiers": [ { "type": "AIRPORT_IATA", "value": "string" } ], "name": "string", "timeZone": "string" }, "type": "UNKNOWN" }, "transportationMode": "AIR" } ] }'
{ "httpStatusCode": 400, "httpMessage": "Bad Request", "errors": [ { … } ], "supportReferenceId": "726bfee1-cf14-4353-aa56-39c4961bf97c" }
Any standardized 3rd party identifier. Can be used to identify a shipment, freight, vehicle, carrier, or other freight entity.
curl -i -X POST \ 'https://na12.api.project44.com/services/tracking/v4/shipments/{shipmentId}/events-positions' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "events": [ { "description": "string", "dateTime": "2019-08-24T14:15:22Z", "estimatedDateTime": "2019-08-24T14:15:22Z", "location": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "coordinates": { "latitude": -90, "longitude": -180 }, "identifiers": [ { "type": "AIRPORT_IATA", "value": "string" } ], "name": "string", "timeZone": "string" }, "plannedDateTime": "2019-08-24T14:15:22Z", "plannedEndDateTime": "2019-08-24T14:15:22Z", "source": "UNKNOWN", "sourceIdentifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "type": "UNKNOWN" } ], "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "positions": [ { "dateTime": "2019-08-24T14:15:22Z", "latitude": -90, "longitude": -180 } ] }'
{ "httpStatusCode": 400, "httpMessage": "Bad Request", "errors": [ { … } ], "supportReferenceId": "1af82975-75cd-4140-af18-c46ff501529c" }
curl -i -X PUT \ 'https://na12.api.project44.com/services/tracking/v4/shipments/{shipmentId}/route-segments' \ -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \ -H 'Content-Type: application/json' \ -d '{ "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "routeSegments": [ { "fromStop": { "location": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "coordinates": { "latitude": -90, "longitude": -180 }, "identifiers": [ { "type": "AIRPORT_IATA", "value": "string" } ], "name": "string", "timeZone": "string" }, "type": "UNKNOWN" }, "identifiers": [ { "type": "AIR_WAYBILL", "value": "string" } ], "toStop": { "location": { "address": { "addressLines": [ "string" ], "city": "string", "country": "US", "postalCode": "string", "state": "string" }, "coordinates": { "latitude": -90, "longitude": -180 }, "identifiers": [ { "type": "AIRPORT_IATA", "value": "string" } ], "name": "string", "timeZone": "string" }, "type": "UNKNOWN" }, "transportationMode": "AIR" } ] }'
{ "httpStatusCode": 400, "httpMessage": "Bad Request", "errors": [ { … } ], "supportReferenceId": "37a30045-df44-4805-a198-4e51f34e1d93" }